import 'package:flutter/material.dart';
import 'package:frontend_eccp_mobile/app/core/constants/constants.dart';

class ProfileHeaderCard extends StatelessWidget {
  const ProfileHeaderCard({super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: AppPadding.p14,
      decoration: BoxDecoration(
        color: AppColors.neutralWhite,
        borderRadius: AppRadius.r18,
        boxShadow: AppShadows.md,
      ),
      child: Row(
        children: [
          ClipRRect(
            borderRadius: AppRadius.rFull,
            child: Image.network(
              'https://i.pravatar.cc/150?img=12',
              width: 64,
              height: 64,
              fit: BoxFit.cover,
            ),
          ),

          AppSpacing.w14,

          Expanded(
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text(
                  'Rosaldo',
                  style: AppTextStyles.h3,
                ),

                AppSpacing.h2,

                Text(
                  'NRP : 1882098',
                  style: AppTextStyles.badge.copyWith(
                    color: AppColors.neutral600,
                  ),
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
